package Swatfile;
use strict;

# Swat 2.1 
# Last updated on 12/10/97
# Copyright (c) by Chris Kight 1997

# Responsible for building a list of local files to be indexed when
# recursive is set to 0 in config under :Global: as recursive => 0

sub new {
    my $proto = shift;
    my $class = ref($proto) || $proto;
    my $self = { };
    bless ($self, $class);
    return $self;
}

sub get_file_list {
    my $self = shift;
    my @filelist = ();
    $self->{basedir} = shift;
    # Get the base directory
    my @files = @_;   
    chdir($self->{basedir});
    # We may be moving around in directories, so we need to keep a local
    #   copy for that particular directory and the full list.
    my @tempfilelist = <@files>;
    push(@filelist,@tempfilelist);
    return (@filelist);
}

sub get_index {
    # Returns the raw index file, Opens the file, copies it, closes the
    # file. Returns it as a single string. Simple.
    my $self = shift;
    my $file = shift;
    unless (open(INDEX,"$file")) { die "Can't open $file for indexing"; }
    my @index = <INDEX>;
    close(INDEX);
    my $index = join('',@index);
    return $index;
}
1;
